{% extends 'admin.html.twig' %}

{% block title %}Gpu index{% endblock %}

{% block body %}
    <h1 class='text-center'>Gpu</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>MarketingName</th>
                <th>Vendor</th>
                <th>Ramsize</th>
                <th>Price</th>
                <th>Secondhand</th>
                <th>Equihash</th>
                <th>Kawpow</th>
                <th>Autolykos</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        {% for gpu in gpus %}
            <tr>
                <td>{{ gpu.id }}</td>
                <td>{{ gpu.name }}</td>
                <td><a   href="{{ path('gpu_show', {'id': gpu.id}) }}">{{ gpu.marketingName }}</a></td>

                <td>{{ gpu.vendor }}</td>
                <td>{{ gpu.ramsize }}</td>
                <td>{{ gpu.price }}</td>
                <td>{{ gpu.secondhand }}</td>
                <td>{{ gpu.equihash }}</td>
                <td>{{ gpu.kawpow }}</td>
                <td>{{ gpu.autolykos }}</td>
                <td>
                    {{ include('gpu/_delete_form.html.twig') }}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="19">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class='mb-5 btn btn-primary btn-rounded' href="{{ path('gpu_new') }}">Create new</a>
{% endblock %}
